openhatch

Issue217

Title Upgrade to Django 1.2: Make our models support model validation
Milestone 0.11.04 Priority wish
Waiting On Status resolved
Superseder Nosy List jesstess, paulproteus
Assigned To Keywords

Created on 2011-01-21.20:25:33 by paulproteus, last changed 2011-05-01.00:03:30 by paulproteus.

Messages
msg1772 (view) Author: paulproteus Date: 2011-05-01.00:03:30
You know, I think this is okay now.
msg743 (view) Author: paulproteus Date: 2011-01-21.20:25:32
There are three things needed for us to upgrade to Django 1.2.

1. Update buildout.cfg

(This is easy.)

2. Start using the csrf_token template tag around all of our POST forms.

(This is easy enough.)

3. http://docs.djangoproject.com/en/dev/releases/1.2/#model-validation

As of Django 1.2, when you save a ModelForm, you validate not just the submitted
form data, but you also check if that makes model valid.

Our models, apparently, are of low quality, and sometimes fail this validation
check. You can see that by running:

./bin/sqlite_mysite test profile.AddCitationManually

and watching it fail.

I've already done steps 1-2, and pushed that work to origin/django12 on Gitorious.

I'm filing this bug, but not going to work on it in the near future.
History
Date User Action Args
2011-05-01 00:03:30paulproteussetstatus: unread -> resolved
messages: + msg1772
milestone: later -> 0.11.04
2011-02-27 04:26:05jesstesssetnosy: + jesstess
2011-01-21 20:25:33paulproteuscreate